%define releasebase  3
%define afsarch amd
%define afsroot /afs/cad/hpc


#Use as deafults if no command line inputs
%define as_limulus 1
# allow --with[out] <feature> at rpm command line build
%{?_with_basement: %{expand: %%define as_basement 1}}
%{?_with_limulus: %{expand: %%define as_limulus 1}}
%{?_with_afs: %{expand: %%define as_afs 1}}
#pick the target
%if "1" == "%{as_basement}"
%define targetbase Basement
%else
%if "1" == "%{as_afs}"
%define targetbase afs_%{afsarch}
%else
%define targetbase Limulus
%endif
%endif


#
# spec file for package environment-modules (Version 3.1.6)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  tcl tcl-devel xf86

Name:         modules
URL:          http://modules.sourceforge.net/
Version:      3.2.6
Group: %{targetbase}/Admin
Release: %{releasebase}.%{targetbase}
Summary:      Provides dynamic modification of a user's environment via modulefiles
License:      GPL
Requires:     tcl 
Autoreqprov:  on
Source:       modules-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires: tcl-devel

Patch0: csh.modules.in.patch  
Patch1: profile.modules.in.patch

%description
Provides dynamic modification of a user's environment via modulefiles.

%package node
Summary: Perceus Node Files for Modules
Group: %{targetbase}/Admin
License: GPL
Release: %{releasebase}.%{targetbase}

%description node
Module files needed for Perceus nodes.
To be installed in vnfs capsules.

Authors:
--------
    John Furlani <jlf@behere.com>

%prep
%setup -q -n modules-%{version}
%patch0 -p0
%patch1 -p0

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS"
export CFLAGS
#need to force the configure stuf to install in /opt  
/bin/cp configure configure.orig 
sed "s!prefix\}/share!prefix\}!g"  configure.orig >  configure.1
sed "s!DEFAULTPATH=/usr/share!DEFAULTPATH=/opt!g"  configure.1 >  configure
/bin/cp Makefile.in Makefile.in.orig
%ifarch x86_64
export TCL_LIB_SPEC=/usr/lib64/libtcl.so 
%endif
%ifarch i386 i486 i586 i686 athlon pentium3 pentium4
export TCL_LIB_SPEC=/usr/lib/libtcl.so 
%endif
export TCL_INCLUDE_SPEC=/usr/include/


./configure --disable-use-default\
                --prefix=/opt \
		--exec-prefix=/opt/Modules \
		--disable-versioning \
                --with-module-path=/opt/Modules/modulefiles \
		--mandir=%{_mandir} \
                --with-etc-path=/etc \
                --with-skel-path=/etc/skel \
                --with-tcl-libraries=/usr \
		--without-x

make


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/opt/Modules/bin
install -d $RPM_BUILD_ROOT/usr/share
install -d $RPM_BUILD_ROOT/opt/Modules
install -d $RPM_BUILD_ROOT/etc/profile.d
install -m 644 etc/global/profile.modules $RPM_BUILD_ROOT/etc/profile.d/modules.sh
install -m 644 etc/global/csh.modules $RPM_BUILD_ROOT/etc/profile.d/modules.csh
make DESTDIR=$RPM_BUILD_ROOT install

rm $RPM_BUILD_ROOT/opt/Modules/bin/mkroot
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE.GPL INSTALL  README  TODO NEWS 
/opt/Modules
/etc/profile.d/modules.*
%doc %{_mandir}/man4/*
%doc %{_mandir}/man1/*

%post
if [ -s /etc/skel/.cshrc ] ; then
  /bin/cp /etc/skel/.cshrc /etc/skel/.cshrc.rpmsave
fi
echo "### The following line added by modules package to support modules on clusters">>/etc/skel/.cshrc
echo "if ( -s ~/.currentmodules ) source ~/.currentmodules">>/etc/skel/.cshrc
if [ -s /etc/skel/.bashrc ] ; then
  /bin/cp /etc/skel/.bashrc /etc/skel/.bashrc.rpmsave
fi
echo "### The following line added by modules package to support modules on clusters">>/etc/skel/.bashrc
echo "if [ -s ~/.currentmodules ]; then . ~/.currentmodules; fi">>/etc/skel/.bashrc

%files node
/etc/profile.d/modules.*

%changelog
* Fri Jul 23 2010  Douglas Eadline <deadline@basement-supercomuting.com>
- updated for /opt install and brok out node version for perceus
%changelog -n environment-modules
* Sat May 17 2003 - nashif@suse.de
- Fixed file list in spec file
* Tue Aug 06 2002 - nashif@suse.de
- fixed sourcing of global configuration file
* Mon Feb 11 2002 - nashif@suse.de
- new version: 3.1.6
* Wed Jun 06 2001 - nashif@suse.de
- Fixed configure.in
* Mon Feb 19 2001 - nashif@suse.de
- Initial Release (Version 3.1.1)
